#
# spec file for package perl-DBI (Version 1.32)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  perl-Curses
# usedforbuild    aaa_base acl attr bash bind9-utils bison coreutils cpio cpp cvs cyrus-sasl2 db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch permissions ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils bzip2 cracklib gcc gdbm gettext libtool perl perl-Curses rpm

Name:         perl-DBI
License:      GPL
Group:        Development/Libraries/Perl
Obsoletes:    perl_dbi
Provides:     perl_dbi DBI
Autoreqprov:  on
Summary:      The Perl Database Interface
Version:      1.32
Release:      59
Source:       DBI-%{version}.tar.bz2
Patch:        DBI-%{version}-tmp.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
The Perl Database Interface by Tim Bunce.



Authors:
--------
    dbi-users@isc.org

%prep
%setup -n DBI-%{version}
%patch

%build
perl Makefile.PL
make
make test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{perl_archlib}
make PREFIX=$RPM_BUILD_ROOT/%{_prefix} \
	INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
	INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
	install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod | sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/%{name}
cd $RPM_BUILD_ROOT%{perl_sitearch}/auto/DBI
sed "s@$RPM_BUILD_ROOT@@g" < .packlist | sort -u > .packlist.tmp
mv .packlist.tmp .packlist

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%doc Changes README ToDo MANIFEST
%doc %{_mandir}/man?/*
/usr/bin/*
%{perl_sitearch}/Bundle/DBI.pm
%{perl_sitearch}/DBD
%{perl_sitearch}/DBI
%{perl_sitearch}/DBI.pm
%{perl_sitearch}/Win32/DBIODBC.pm
%{perl_sitearch}/auto/DBI
/var/adm/perl-modules/%{name}

%changelog -n perl-DBI
* Fri Jan 28 2005 - mjancar@suse.cz
- fix CAN-2005-0077: Insecure temporary files in DBI
* Fri Dec 13 2002 - prehak@suse.cz
- update to version 1.32
* Tue Jul 09 2002 - prehak@suse.cz
- updated to version 1.28
* Tue Jul 02 2002 - mls@suse.de
- remove race in .packlist generation
* Tue Jan 22 2002 - rvasice@suse.cz
- update to version 1.20
* Tue Aug 14 2001 - rvasice@suse.cz
- update to version 1.19
- spec file cleanup
* Tue Feb 13 2001 - cihlar@suse.cz
- bzipped sources
- use %%{version}
- update to version 1.14
- added %%clean
- fixed file list
- added make test
* Tue Nov 07 2000 - grimmer@suse.de
- removed BuildRoot path via sed calls in spec file
* Tue Oct 31 2000 - grimmer@suse.de
- renamed from perl_dbi to perl-DBI
- added BuildRoot
* Wed Jul 05 2000 - grimmer@suse.de
- marked man pages as documentation
- added missing man pages from section 1
- added Group tag
- added "Provides: DBI"
* Wed May 24 2000 - ug@suse.de
- added to distribution
